import { useContext } from 'react';
import { ManagePostoAdmsContext } from './ManagePostoAdmsContext';

const useManagePostoAdmsContext = () => {
  const context = useContext(ManagePostoAdmsContext);

  if (!context) throw new Error('useManagePostoAdmsContext must be used within AuthProvider');

  return context;
};

export { useManagePostoAdmsContext };
